# Uses of Class
javassist.compiler.ast.ASTree

Packages that use ASTree
Package
Description
javassist.compiler.ast

## Uses of ASTree in javassist.compiler.ast

Subclasses of ASTree in javassist.compiler.ast
Modifier and Type
Class
Description
`class`
`ArrayInit`
Array initializer such as `{ 1, 2, 3 }`.
`class`
`AssignExpr`
Assignment expression.
`class`
`ASTList`
A linked list.
`class`
`BinExpr`
Binary expression.
`class`
`CallExpr`
Method call expression.
`class`
`CastExpr`
Cast expression.
`class`
`CondExpr`
Conditional expression.
`class`
`Declarator`
Variable declarator.
`class`
`DoubleConst`
Double constant.
`class`
`Expr`
Expression.
`class`
`FieldDecl`
`class`
`InstanceOfExpr`
Instanceof expression.
`class`
`IntConst`
Integer constant.
`class`
`Keyword`
Keyword.
`class`
`Member`
Member name.
`class`
`MethodDecl`
`class`
`NewExpr`
New Expression.
`class`
`Pair`
A node of a a binary tree.
`class`
`Stmnt`
Statement.
`class`
`StringL`
String literal.
`class`
`Symbol`
Identifier.
`class`
`Variable`
Variable.
Methods in javassist.compiler.ast that return ASTree
Modifier and Type
Method
Description
`ASTree`
DoubleConst.`compute(int op, ASTree right)`
`ASTree`
IntConst.`compute(int op, ASTree right)`
`ASTree`
CondExpr.`condExpr()`
`ASTree`
CondExpr.`elseExpr()`
`ASTree`
FieldDecl.`getInit()`
`ASTree`
Declarator.`getInitializer()`
`ASTree`
ASTList.`getLeft()`
`ASTree`
ASTree.`getLeft()`
`ASTree`
Pair.`getLeft()`
`ASTree`
CastExpr.`getOprand()`
`ASTree`
ASTList.`getRight()`
`ASTree`
ASTree.`getRight()`
`ASTree`
Pair.`getRight()`
`ASTree`
ASTList.`head()`
Returns the car part of the list.
`ASTree`
Expr.`oprand1()`
`ASTree`
Expr.`oprand2()`
`ASTree`
CondExpr.`thenExpr()`
Methods in javassist.compiler.ast with parameters of type ASTree
Modifier and Type
Method
Description
`static ASTList`
ASTList.`append(ASTList a, ASTree b)`
Appends an object to a list.
`ASTree`
DoubleConst.`compute(int op, ASTree right)`
`ASTree`
IntConst.`compute(int op, ASTree right)`
`static ASTList`
ASTList.`make(ASTree e1, ASTree e2, ASTree e3)`
`Declarator`
Declarator.`make(Symbol sym, int dim, ASTree init)`
`static Expr`
Expr.`make(int op, ASTree oprand1)`
`static Expr`
Expr.`make(int op, ASTree oprand1, ASTree oprand2)`
`static Stmnt`
Stmnt.`make(int op, ASTree oprand1, ASTree oprand2)`
`static Stmnt`
Stmnt.`make(int op, ASTree op1, ASTree op2, ASTree op3)`
`static AssignExpr`
AssignExpr.`makeAssign(int op, ASTree oprand1, ASTree oprand2)`
`static BinExpr`
BinExpr.`makeBin(int op, ASTree oprand1, ASTree oprand2)`
`static CallExpr`
CallExpr.`makeCall(ASTree target, ASTree args)`
`void`
CondExpr.`setCond(ASTree t)`
`void`
CondExpr.`setElse(ASTree t)`
`void`
ASTList.`setHead(ASTree _head)`
`void`
ASTList.`setLeft(ASTree _left)`
`void`
ASTree.`setLeft(ASTree _left)`
`void`
Pair.`setLeft(ASTree _left)`
`void`
CastExpr.`setOprand(ASTree t)`
`void`
Expr.`setOprand1(ASTree expr)`
`void`
Expr.`setOprand2(ASTree expr)`
`void`
ASTList.`setRight(ASTree _right)`
`void`
ASTree.`setRight(ASTree _right)`
`void`
Pair.`setRight(ASTree _right)`
`void`
CondExpr.`setThen(ASTree t)`
`boolean`
ASTList.`subst(ASTree newObj, ASTree oldObj)`
Substitutes `newObj` for `oldObj` in the list.
Constructors in javassist.compiler.ast with parameters of type ASTree
Modifier
Constructor
Description
``
`ArrayInit(ASTree firstElement)`
Constructs an object.
``
`ASTList(ASTree _head)`
``
`ASTList(ASTree _head, ASTList _tail)`
``
`CastExpr(int type, int dim, ASTree expr)`
``
`CastExpr(ASTList className, int dim, ASTree expr)`
``
`CondExpr(ASTree cond, ASTree thenp, ASTree elsep)`
``
`FieldDecl(ASTree _head, ASTList _tail)`
``
`InstanceOfExpr(int type, int dim, ASTree expr)`
``
`InstanceOfExpr(ASTList className, int dim, ASTree expr)`
``
`MethodDecl(ASTree _head, ASTList _tail)`
``
`Pair(ASTree _left, ASTree _right)`
``
`Stmnt(int op, ASTree _head)`
``
`Stmnt(int op, ASTree _head, ASTList _tail)`